Buenos días a tod@s!

hoy me toca a mí preguntar. Veréis, tengo el siguiente problema. No importa a que versión de la plataforma .Net enfoque el proyecto (2.0 o 3.5) el control WebBrowser que está en la caja de herramientas, es siempre de la versión 2.0, de lo cual deduzco que el problema radica en una de las siguientes dos opciones:
1. Yo tengo un problema con mi librería de controles o la instalación del IDE o algo, y por eso siempre me muestra el WebBrowser 2.0 en la caja de herramientas
2. o bien, no hay una versión posterior, y por eso veo siempre el 2.0...

El problema está en que el 2.0 debe ser un equivalente al IE 6, para el cual, muchas páginas ya dan errores o no funcionan completamente...

Alguien sabe si puedo actualizarlo o si hay algún otro componente similar (o cualquier otra manera de resolverlo)?

De antemano, muchas gracias por vuestra ayuda.

Un saludo!